std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >(3cxx)

NAME
std::__detail::_Node_iterator_base< _Value, _Cache_hash_code > - Base class for node iterators.

SYNOPSIS

#include <hashtable_policy.h>

  Public Types

using __node_type = _Hash_node< _Value, _Cache_hash_code >

  Public Member Functions

_Node_iterator_base (__node_type *__p) noexcept
void _M_incr () noexcept

  Public Attributes

__node_type * _M_cur

Detailed Description

  template<typename _Value, bool _Cache_hash_code>
struct std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >"Base class for node iterators.

Definition at line 288 of file hashtable_policy.h.

Member Typedef Documentation

  template<typename _Value , bool _Cache_hash_code> using std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::__node_type = _Hash_node<_Value, _Cache_hash_code>

Definition at line 290 of file hashtable_policy.h.

Constructor & Destructor Documentation

  template<typename _Value , bool _Cache_hash_code> std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::_Node_iterator_base (__node_type * __p) [inline], [noexcept]

Definition at line 294 of file hashtable_policy.h.

Member Function Documentation

  template<typename _Value , bool _Cache_hash_code> void std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::_M_incr () [inline], [noexcept]

Definition at line 298 of file hashtable_policy.h.

Member Data Documentation

  template<typename _Value , bool _Cache_hash_code> __node_type* std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::_M_cur

Definition at line 292 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.